Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.c14n
Class ExclusiveC14N

`java.lang.Object
oracle.security.xmlsec.c14n.Canonicalizer
oracle.security.xmlsec.c14n.ExclusiveC14N`

Direct Known Subclasses:
  ExclusiveC14NWithComments

public class ExclusiveC14N
extends Canonicalizer

Implementation of Exclusive XML Canonicalization version 1.0.

Since:
  1.1

Field Summary

Fields inherited from class oracle.security.xmlsec.c14n.Canonicalizer
`c14nMethod`

Constructor Summary
`ExclusiveC14N()` Creates a new `ExclusiveC14N` instance.
`ExclusiveC14N(java.lang.String inclusiveNSList)` Creates a new `ExclusiveC14N` instance.
`ExclusiveC14N(XSAlgorithmIdentifier c14nMethod)` Creates a new `ExclusiveC14N` instance.

Method Summary
`byte[]` | `canonicalize(java.util.Collection source)` Canonicalizes the given `Collection`, returning the resulting XML octets in UTF-8 encoding.
`byte[]` | `canonicalize(org.xml.sax.InputSource source)` Canonicalizes the XML in the given `InputSource`, returning the resulting XML octets in UTF-8 encoding.
`byte[]` | `canonicalize(java.io.InputStream source)` Canonicalizes the XML in the given input stream, returning the resulting XML octets in UTF-8 encoding.
`byte[]` | `canonicalize(java.io.InputStream source, java.lang.String systemId)` Canonicalizes the XML in the given input stream, returning the resulting XML octets in UTF-8 encoding.
`byte[]` | `canonicalize(org.w3c.dom.Node source)` Canonicalizes a DOM subtree rooted in the given `Node`, returning the resulting XML octets in UTF-8 encoding.
`byte[]` | `canonicalize(org.w3c.dom.NodeList source)` Canonicalizes the given `NodeList`, returning the resulting XML octets in UTF-8 encoding.
`java.lang.String` | `getInclusiveNSPrefixList()` Returns the value of the InclusiveNamespaces parameter's PrefixList attribute.

Methods inherited from class oracle.security.xmlsec.c14n.Canonicalizer
`getC14NMethod, getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExclusiveC14N

    public ExclusiveC14N()

  Creates a new `ExclusiveC14N` instance.

### ExclusiveC14N

    public ExclusiveC14N(java.lang.String inclusiveNSList)

  Creates a new `ExclusiveC14N` instance.
Parameters:
  `inclusiveNSList` - A list of namespaces to be included as per XML-C14N.

### ExclusiveC14N

    public ExclusiveC14N(XSAlgorithmIdentifier c14nMethod)

  Creates a new `ExclusiveC14N` instance.
Parameters:
  `c14nMethod` - A `XSAlgorithmIdentifier` representing a CanonicalizationMethod with `XMLURI.alg_exclusiveC14N` as its Algorithm attribute value and, optionally, an InclusiveNamespaces parameter.
Throws:
  `java.lang.IllegalArgumentException` - If the `XSAlgorithmIdentifier` is not a valid CanonicalizationMethod for Exclusive C14N.

Method Detail

### getInclusiveNSPrefixList

    public java.lang.String getInclusiveNSPrefixList()

  Returns the value of the InclusiveNamespaces parameter's PrefixList attribute.

### canonicalize

    public byte[] canonicalize(org.w3c.dom.Node source)
                        throws CanonicalizationException

  Description copied from class: `Canonicalizer`
  Canonicalizes a DOM subtree rooted in the given `Node`, returning the resulting XML octets in UTF-8 encoding.
  Specified by:
    `canonicalize` in class `Canonicalizer`
  Parameters:
    `source` - An `org.w3c.dom.Node` at the root of a XML tree to be canonicalized.
  Returns:
    A byte array containing the canonicalized octets of the input XML tree.
  Throws:
    `CanonicalizationException`

### canonicalize

    public byte[] canonicalize(org.w3c.dom.NodeList source)
                        throws CanonicalizationException

  Description copied from class: `Canonicalizer`
  Canonicalizes the given `NodeList`, returning the resulting XML octets in UTF-8 encoding.
  Specified by:
    `canonicalize` in class `Canonicalizer`
  Parameters:
    `source` - An `org.w3c.dom.NodeList` to be canonicalized.
  Returns:
    A byte array containing the canonicalized octets of the input node list.
  Throws:
    `CanonicalizationException`

### canonicalize

    public byte[] canonicalize(java.util.Collection source)
                        throws CanonicalizationException

  Description copied from class: `Canonicalizer`
  Canonicalizes the given `Collection`, returning the resulting XML octets in UTF-8 encoding.
  Specified by:
    `canonicalize` in class `Canonicalizer`
  Parameters:
    `source` - A `java.util.Collection` containing the nodes to be canonicalized.
  Returns:
    A byte array containing the canonicalized octets of the input nodes.
  Throws:
    `CanonicalizationException`

### canonicalize

    public byte[] canonicalize(java.io.InputStream source)
                        throws CanonicalizationException

  Description copied from class: `Canonicalizer`
  Canonicalizes the XML in the given input stream, returning the resulting XML octets in UTF-8 encoding.
  Specified by:
    `canonicalize` in class `Canonicalizer`
  Parameters:
    `source` - A `java.io.InputStream` containing the XML to be canonicalized.
  Returns:
    A byte array containing the canonicalized octets of the input XML.
  Throws:
    `CanonicalizationException`

### canonicalize

    public byte[] canonicalize(java.io.InputStream source,
                               java.lang.String systemId)
                        throws CanonicalizationException

  Description copied from class: `Canonicalizer`
  Canonicalizes the XML in the given input stream, returning the resulting XML octets in UTF-8 encoding.
  Specified by:
    `canonicalize` in class `Canonicalizer`
  Parameters:
    `source` - A `java.io.InputStream` containing the XML to be canonicalized.
    `systemId` - A URI string identifying the input stream source.
  Returns:
    A byte array containing the canonicalized octets of the input XML.
  Throws:
    `CanonicalizationException`

### canonicalize

    public byte[] canonicalize(org.xml.sax.InputSource source)
                        throws CanonicalizationException

  Description copied from class: `Canonicalizer`
  Canonicalizes the XML in the given `InputSource`, returning the resulting XML octets in UTF-8 encoding.
  Specified by:
    `canonicalize` in class `Canonicalizer`
  Parameters:
    `source` - An `org.xml.sax.InputSource` containing the XML to be canonicalized.
  Returns:
    A byte array containing the canonicalized octets of the input XML.
  Throws:
    `CanonicalizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.